import { Injectable } from '@angular/core';
import {environment} from '../../environments/environment';
import {HttpClient} from '@angular/common/http';
import {CommonsService} from './commons.service';

@Injectable({
  providedIn: 'root'
})
export class OrderService {

  constructor(
      private http: HttpClient,
      private common: CommonsService
  ) { }

  /**
   * 查询订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getOrderCouponList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getGoodsOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询代理商订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getOrderListByIdCode(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getOrderListByIdCode?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询团游订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getGasOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getGasOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询KFC订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getKfcOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getKfcOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询dianying订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getCinemaOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getCinemaOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }


  public getMobileOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getMobileOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public exportGoodsOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/exportGoodsOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  public exportOrderListByIdCode(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/exportOrderListByIdCode?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 退款
   *
   * @param params 上传对象
   * @param  callBack   回调
   * @return data 返回结果
   */
  public refuelingOrderRefund(params: object, callBack) {
    this.http.post(environment.baseUrl + 'highGas/refuelingOrderRefund', params).subscribe(data => {
      callBack(data);
    });
  }


}
